Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 453642 - net-im/empathy-2.34.0-r2 - accounts window fails to open with glib-2.35.8
Summary: net-im/empathy-2.34.0-r2 - accounts window fails to open with glib-2.35.8
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-23 08:43 UTC by Richard Wiedenhöft
Modified: 2013-10-04 20:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info output (emergeinfo,4.89 KB, text/plain)
2013-01-23 08:43 UTC, Richard Wiedenhöft
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Wiedenhöft 2013-01-23 08:43:45 UTC
Created attachment 336556 [details]
emerge --info output

After emerging empathy it is not possible to open the accounts-window. It just silently fails. Even on the console there is no error.

Workaround in the old thread. Looks like a missing dependency.

http://forums.gentoo.org/viewtopic-t-843885-view-next.html?sid=a02ac1fd37e7d4b27b2dcd7a4d53b058
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2013-01-23 16:38:50 UTC
(In reply to comment #0)
> Workaround in the old thread. Looks like a missing dependency.
> 
> http://forums.gentoo.org/viewtopic-t-843885-view-next.
> html?sid=a02ac1fd37e7d4b27b2dcd7a4d53b058

You mean "Solved by upgrading to empathy 2.30.3 and emerging telepathy-gabble, telepathy-haze".
Comment 2 Albert W. Hopkins 2013-02-28 23:30:14 UTC
I believe I am also experiencing this issue today after upgrading from glib-2.34.3 to glib-2.35.8.  Rebuilding gobject-introspection and the telepathy libs didn't seem to help.  Downgrading back to 2.34.4 fixes the issue (after rebuilding gobject-introspection).

It takes a while after having selected Accounts in the menu, but I do eventually get the following in stderr:

(empathy:3661): folks-WARNING **: Failed to reach quiescence normally (1 backends and 0 persona stores still haven't reached quiescence). Forcing IndividualAggregator quiescence due to reaching the timeout.

(empathy:3661): empathy-CRITICAL **: empathy-utils.c:562: empathy_account_manager_get_accounts_connected called before AccountManager ready
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-10-02 23:29:00 UTC
Is this still happening with glib-2.36.4?
Comment 4 Albert W. Hopkins 2013-10-04 20:41:44 UTC
(In reply to Alexandre Rostovtsev from comment #3)
> Is this still happening with glib-2.36.4?

I'm not the original reporter, but it diesn't happen with me.


Thanks,
-a
Comment 5 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-10-04 20:56:22 UTC
Marking as fixed then.